weka.core.pmml.jaxbbindings

## Class BinarySimilarity

- java.lang.Object
- - weka.core.pmml.jaxbbindings.BinarySimilarity

-     public class BinarySimilarity
      extends java.lang.Object

  Java class for binarySimilarity element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="binarySimilarity">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="c00-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="c01-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="c10-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="c11-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="d00-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="d01-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="d10-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="d11-parameter" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinarySimilarity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getC00Parameter()` Gets the value of the c00Parameter property.
    `double` | `getC01Parameter()` Gets the value of the c01Parameter property.
    `double` | `getC10Parameter()` Gets the value of the c10Parameter property.
    `double` | `getC11Parameter()` Gets the value of the c11Parameter property.
    `double` | `getD00Parameter()` Gets the value of the d00Parameter property.
    `double` | `getD01Parameter()` Gets the value of the d01Parameter property.
    `double` | `getD10Parameter()` Gets the value of the d10Parameter property.
    `double` | `getD11Parameter()` Gets the value of the d11Parameter property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `void` | `setC00Parameter(double value)` Sets the value of the c00Parameter property.
    `void` | `setC01Parameter(double value)` Sets the value of the c01Parameter property.
    `void` | `setC10Parameter(double value)` Sets the value of the c10Parameter property.
    `void` | `setC11Parameter(double value)` Sets the value of the c11Parameter property.
    `void` | `setD00Parameter(double value)` Sets the value of the d00Parameter property.
    `void` | `setD01Parameter(double value)` Sets the value of the d01Parameter property.
    `void` | `setD10Parameter(double value)` Sets the value of the d10Parameter property.
    `void` | `setD11Parameter(double value)` Sets the value of the d11Parameter property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinarySimilarity

          public BinarySimilarity()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getC00Parameter

          public double getC00Parameter()

      Gets the value of the c00Parameter property.

    - #### setC00Parameter

          public void setC00Parameter(double value)

      Sets the value of the c00Parameter property.

    - #### getC01Parameter

          public double getC01Parameter()

      Gets the value of the c01Parameter property.

    - #### setC01Parameter

          public void setC01Parameter(double value)

      Sets the value of the c01Parameter property.

    - #### getC10Parameter

          public double getC10Parameter()

      Gets the value of the c10Parameter property.

    - #### setC10Parameter

          public void setC10Parameter(double value)

      Sets the value of the c10Parameter property.

    - #### getC11Parameter

          public double getC11Parameter()

      Gets the value of the c11Parameter property.

    - #### setC11Parameter

          public void setC11Parameter(double value)

      Sets the value of the c11Parameter property.

    - #### getD00Parameter

          public double getD00Parameter()

      Gets the value of the d00Parameter property.

    - #### setD00Parameter

          public void setD00Parameter(double value)

      Sets the value of the d00Parameter property.

    - #### getD01Parameter

          public double getD01Parameter()

      Gets the value of the d01Parameter property.

    - #### setD01Parameter

          public void setD01Parameter(double value)

      Sets the value of the d01Parameter property.

    - #### getD10Parameter

          public double getD10Parameter()

      Gets the value of the d10Parameter property.

    - #### setD10Parameter

          public void setD10Parameter(double value)

      Sets the value of the d10Parameter property.

    - #### getD11Parameter

          public double getD11Parameter()

      Gets the value of the d11Parameter property.

    - #### setD11Parameter

          public void setD11Parameter(double value)

      Sets the value of the d11Parameter property.